'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Field = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactAddonsPureRenderMixin = require('react-addons-pure-render-mixin');

var _reactAddonsPureRenderMixin2 = _interopRequireDefault(_reactAddonsPureRenderMixin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Field = exports.Field = _react2.default.createClass({
  displayName: 'Field',

  mixins: [_reactAddonsPureRenderMixin2.default],

  makeErrorsList: function makeErrorsList(errors) {
    if (errors) {
      return _react2.default.createElement(
        'ul',
        { className: 'errors' },
        errors.map(function (e, i) {
          return e && _react2.default.createElement(
            'li',
            { key: i },
            e
          );
        })
      );
    } else {
      return null;
    }
  },

  render: function render() {
    var _props = this.props;
    var label = _props.label;
    var widget = _props.widget;
    var errors = _props.errors;
    var moreErrors = _props.moreErrors;
    var children = _props.children;

    if (errors) errors.tolkien = ' jaja';
    return _react2.default.createElement(
      'div',
      null,
      label,
      widget && _react2.default.createElement(widget, this.props, children),
      this.makeErrorsList([].concat(errors, moreErrors))
    );
  }
});

exports.default = Field;